Subject: Re: bug#25813: parted should tell which partition is misaligned

From: Phil Susi <[email-masked]>
Date: Wed, 19 Apr 2017 09:11:08 -0400

retitle 25813 Alignment check should not be done to the end of the partition
thanks

On 2/20/2017 10:50 AM, Harald Dunkel wrote:
> Hi folks,
> 
> parted 3.2-17 (Debian Unstable) doesn't tell which partition
> is misaligned. Sample session:

> (parted) mkpart export 671088640s -2049s
> Warning: The resulting partition is not properly aligned for best performance.
> Ignore/Cancel? i

It is, of course, referring to the one you are trying to create.  Its
end point is not aligned.  Of course, there isn't much point to the end
being aligned so maybe we should only be checking the start.